System.Web 2.0.0.0 System.Enum

The enumeration is used by the and controls to describe the data retrieval mode that the data source control uses when the method is called. When the property is set to , data is loaded into a structure. This enables scenarios where user interface controls such as offer sorting and paging capabilities. When the property is set to , data is retrieved by an object, which is a read-only, forward-only cursor.

The enumeration is only used to describe how the command retrieves data; it has no effect on other operations the control performs, such as , , or .

Specifies whether a or control retrieves data as a or .

- Field
  System.Web.UI.WebControls.SqlDataSourceMode

  Retrieves data from the underlying data storage as an

  2.0.0.0
- Field
  System.Web.UI.WebControls.SqlDataSourceMode

  Retrieves data from the underlying data storage into a structure.

  2.0.0.0